diff --git a/drivers/clock_control/clock_stm32_ll_h7.c b/drivers/clock_control/clock_stm32_ll_h7.c
index 644a41ed9c1b..f3951254d4cd 100644
--- a/drivers/clock_control/clock_stm32_ll_h7.c
+++ b/drivers/clock_control/clock_stm32_ll_h7.c
@@ -405,6 +405,20 @@ static int stm32_clock_control_init(struct device *dev)
 	while (LL_RCC_PLL1_IsReady() != 1) {
 	}
 
+	/* Set All APBxPrescaler to the Highest Divider */
+	/* In case of PLL frequency being very high */
+	/* Prevents APB clock to go over limits */
+	/* While the PLL is being configured */
+	LL_RCC_SetAPB1Prescaler(LL_RCC_APB1_DIV_16);
+	LL_RCC_SetAPB2Prescaler(LL_RCC_APB2_DIV_16);
+	LL_RCC_SetAPB3Prescaler(LL_RCC_APB3_DIV_16);
+	LL_RCC_SetAPB4Prescaler(LL_RCC_APB4_DIV_16);
+
+	/* Set SYS prescaler*/
+	LL_RCC_SetSysPrescaler(sysclk_prescaler(CONFIG_CLOCK_STM32_D1CPRE));
+
+	/* Set AHB prescaler*/
+	LL_RCC_SetAHBPrescaler(ahb_prescaler(CONFIG_CLOCK_STM32_HPRE));
 
 	/* Set PLL1 as System Clock Source */
 	LL_RCC_SetSysClkSource(LL_RCC_SYS_CLKSOURCE_PLL1);
